### Enumeration

# GLib UserDirectory

since: 2.14

#### Declaration

    enum GLib.UserDirectory

#### Description [src]

These are logical ids for special directories which are defined depending on the platform used. You should use `g_get_user_special_dir()` to retrieve the full path associated to the logical id.

The `GUserDirectory` enumeration can be extended at later date. Not every platform has a directory for every logical id in this enumeration.

Available since: 2.14

#### Members

Name | Description
--- | ---
`G_USER_DIRECTORY_DESKTOP` | The user’s Desktop directory.
`G_USER_DIRECTORY_DOCUMENTS` | The user’s Documents directory.
`G_USER_DIRECTORY_DOWNLOAD` | The user’s Downloads directory.
`G_USER_DIRECTORY_MUSIC` | The user’s Music directory.
`G_USER_DIRECTORY_PICTURES` | The user’s Pictures directory.
`G_USER_DIRECTORY_PUBLIC_SHARE` | The user’s shared directory.
`G_USER_DIRECTORY_TEMPLATES` | The user’s Templates directory.
`G_USER_DIRECTORY_VIDEOS` | The user’s Movies directory.
`G_USER_N_DIRECTORIES` | The number of enum values.